GNU bug report logs - #37796
26.3; Opening files in Mac OS Catalina

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stephen Moye <stephenmoye@HIDDEN>; merged with #37866, #37873; dated Thu, 17 Oct 2019 17:16:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37796 <at> debbugs.gnu.org:


Received: (at 37796) by debbugs.gnu.org; 24 Oct 2019 16:02:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 24 12:02:36 2019
Received: from localhost ([127.0.0.1]:36809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNfZK-0002tR-Di
	for submit <at> debbugs.gnu.org; Thu, 24 Oct 2019 12:02:36 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:37357)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1iNfZI-0002tA-DQ
 for 37796 <at> debbugs.gnu.org; Thu, 24 Oct 2019 12:02:32 -0400
Received: by mail-wm1-f41.google.com with SMTP id q130so2968846wme.2
 for <37796 <at> debbugs.gnu.org>; Thu, 24 Oct 2019 09:02:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=s1pButjxpMGbUihV43KB92FKNG7cK+6kN1hztLDUEsU=;
 b=s2IcrYH95PQD1QNdP9fE1GwdMkWlZ+D5oCoS+SINn4ZbzZQUcIrN278HGHq9GqAnP4
 NGaWq4hjJ986m47C2oYcxQjmaCLkLHTp2SkVg8kbbaR52SnknsWP300jE4kCu6pXS36U
 tR+9zXw3cjjQNM9sk6y/zDrhsg+Xv/9hxmnaGnVsc2YhZCzWzGN3K7jIKC8Y0Iu11+T4
 wrIO8it57/EY7R9bTYakUslGVq+koBIO76FJzepKC/uvMyusdILGTsA0fQQoHNgohSXf
 zofhos/nRP9b4bkjtrj9U09ihmUgoWeXEnJY1y8KDMbwWsC1awDvyfp27MaD0J7TjLOB
 FRew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=s1pButjxpMGbUihV43KB92FKNG7cK+6kN1hztLDUEsU=;
 b=IsXtr6JanLu4SU24JcFWjZTffRKZYkBBcUQlekywEyk4+AmBfiu7/K4E9jEKIS3+LH
 ATLpQzPjTZyxJc9opBOG5pdznp9jRdAEYhJn7acP5gA+lNxOJHi9dkfsF1Ym5qW19+ep
 iwT2HC4ErC8UVipEhWMrgMJnRc+U8RTAfngSH8uVTyojJWzr3TV2Woy9jhRjjB3TDU6b
 /fKMlA4lfSYJ1prEVpdefEyE7Ca+jZNd3k/XBoKsAtV4sRoNLnK/NeNBqIQBysVLNnFx
 zVWbYS0kFGWKtzWjW4hHMVOIVcddV+5kPGTKdBYDv+FIRfuIBLdKvRy4Ug+rwHhn4fcw
 G3xg==
X-Gm-Message-State: APjAAAVmwKMnnVbCkZRlI7qBnzs/yw+apRAIWWJ3YmXa9e2gUaN2iA3S
 mbK+aNZ9lv7TqI16Zu0rfHgmXvA9
X-Google-Smtp-Source: APXvYqy7YPDCaRp7MOdHWxNEyKDxGVqwfyqvxGeTaNaC9WsujiB2swxKueLoTDeMcR/zwVtjxYoj5Q==
X-Received: by 2002:a05:600c:21c8:: with SMTP id
 x8mr5142277wmj.123.1571932945325; 
 Thu, 24 Oct 2019 09:02:25 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-05f7-c8dd-14f5-1780.holly.idiocy.org.
 [2001:8b0:3f8:8129:5f7:c8dd:14f5:1780])
 by smtp.gmail.com with ESMTPSA id 5sm34708012wrk.86.2019.10.24.09.02.24
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 24 Oct 2019 09:02:24 -0700 (PDT)
From: Alan Third <alan@HIDDEN>
To: Spoon Reloaded <spoon.reloaded@HIDDEN>
Subject: Re: bug#37796: 26.3; Opening files in Mac OS Catalina
References: <884F7705-8CAF-4C68-8BA3-D51BF99D3619@HIDDEN>
 <CABkj8=ah48jpZV5PsNoKyRNAmZ-GhiiktteN6yy8EVX+oPrd6Q@HIDDEN>
Date: Thu, 24 Oct 2019 17:02:23 +0100
In-Reply-To: <CABkj8=ah48jpZV5PsNoKyRNAmZ-GhiiktteN6yy8EVX+oPrd6Q@HIDDEN>
 (Spoon Reloaded's message of "Mon, 21 Oct 2019 14:38:56 -0700")
Message-ID: <m2blu6f7xs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 37796
Cc: 37796 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Spoon Reloaded <spoon.reloaded@HIDDEN> writes:

> I have the same problem. If the Emacs app is not open, and I drag a
> file onto it, it opens. But if I drag a second file onto the Emacs app
> when it is already open, nothing happens.
>
> This happens on both version 26.3 (the latest release available from
> emacsformacosx.com) as well as the latest nightly version, 2019-10-21,
> from emacsformacosx.com.
>
> I see the following line in Console when I try to open the second file:
> LaunchedApplication: failed with error -13052 (null){ "ApplicationType"="Foreground", "BundleIdentifierLowerCase"="org.gnu.emacs", "CFBundleExecutablePath"="/Applications/Emacs.app/Contents/MacOS/Emacs", "CFBundleExecutablePathDeviceID"=16777220, "CFBundleExecutablePathINode"=39467615, "CFBundleIdentifier"="org.gnu.Emacs",
> "CFBundleName"="Emacs", "CFBundlePackageType"="APPL", "CFBundleSignature"="EMAx", "LSASN"=ASN:0x0-0x4c24c2:, "LSBundlePath"="/Applications/Emacs.app", "LSBundlePathDeviceID"=16777220, "LSBundlePathINode"=39467589, "LSDisplayName"="Emacs", "LSExecutableFormat"="LSExecutable#!Format", "LSLaunchDLabel"="org.gnu.Emacs.6084",
> "LSLaunchedByLaunchServices"=true, "LSLaunchedWithLaunchD"=true, "LSLaunchEventRecordTime"=354943849105239, "LSLaunchTime"=now-ish 2019/10/21 14:33:40, "LSParentASN"=ASN:0x0-0x25025:, "LSWantsToComeForwardAtRegistrationTimeKey"=true, "pid"=47579 }
>

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37796; Package emacs. Full text available.
Merged 37796 37866 37873. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2019 01:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 21:22:40 2019
Received: from localhost ([127.0.0.1]:58094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMish-00051d-SK
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 21:22:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:34703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spoon.reloaded@HIDDEN>) id 1iMfOU-00068m-Fa
 for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 17:39:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46688)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <spoon.reloaded@HIDDEN>) id 1iMfOT-0004yK-37
 for bug-gnu-emacs@HIDDEN; Mon, 21 Oct 2019 17:39:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spoon.reloaded@HIDDEN>) id 1iMfOQ-0003Fz-LP
 for bug-gnu-emacs@HIDDEN; Mon, 21 Oct 2019 17:39:13 -0400
Received: from mail-il1-x12d.google.com ([2607:f8b0:4864:20::12d]:34105)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <spoon.reloaded@HIDDEN>)
 id 1iMfOQ-0003Fn-GV
 for bug-gnu-emacs@HIDDEN; Mon, 21 Oct 2019 17:39:10 -0400
Received: by mail-il1-x12d.google.com with SMTP id c12so13499829ilm.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 21 Oct 2019 14:39:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=fyfAdtvjqilEVQd0yqkOHyMzwHS7wqvQxPDOzdMt47w=;
 b=e9zWm2sZC/Y0fT6F0aeGC4SJrLsoVOinvEUzBKhlqRKCqZbCFhNhHZlk7StS3uar3/
 E0yLnxNb7D1Jjh4y9eTA2pUOcwak7ygqrc2v5hcDh3zbUQ+9C4LD5YmovL01aUkiA9ht
 TdlejlMYCLLkQWX1ALj1WvZzL7ZzozOGpdIylAOMhX6nf83qXAvp7ESC+Zcn6eLaODDF
 Jp38iu0xvVzUzbOnFQuhtCkg7oar6kofP0HHiLgCJkr+XI8WqxaTUybYQaCL4WNq52Ng
 VtVtcaPM14wdr6c2RyD3/lG4gOQaxiquKgC1XHApPaByhKXWkQY+Wzkvw7cumX60yuVY
 y29g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=fyfAdtvjqilEVQd0yqkOHyMzwHS7wqvQxPDOzdMt47w=;
 b=WSxCBO4ElEy0SbNAFiJrCm+uQaW5smtATPqt19IEPZLHFiYb4R1XvAaVg9JVs+Evka
 2aj3WprXPJI6lKG11aAcv83/HtHph3BTdAgnX+GMc1V67bTw7/SOC5HgtkvkCp3TMnnv
 noOObkS/UHdZCZTxsCbdgbfvkG9csvs0YJ/pIpbJjxHsYXUjkr9gwrZ80CWp9ABry8P0
 O9AqFA8MzTHL2ETk8dITcZz3XUHW7waPhUpNbdi2Se08z/jkubbisUE62ohoQ4mH5n9C
 4aHbqk2CVIhtSdoH6yFgu75XwCp/rpG6av3vLvPpLaAstJ9qY9SFDPCKdjUXWzeq3Hg6
 WPtg==
X-Gm-Message-State: APjAAAV/Ynl468jo1XvpE0if5Q3FwJTqk06bj4mg+pkZqSASUBWxUMQD
 IkRtG52Y6v4zW2khZr1OM4xfgBv4lluwGKbvQ+atrFaV
X-Google-Smtp-Source: APXvYqyyWRxaRlwYPrGqm8FXrDRgFz+DbHdHaoKDZ32qFzJUciFR1gXn9mpRECC6DgAoSacbPktl1aovUL0IMx8fQE0=
X-Received: by 2002:a92:104a:: with SMTP id y71mr6550856ill.220.1571693949382; 
 Mon, 21 Oct 2019 14:39:09 -0700 (PDT)
MIME-Version: 1.0
From: Spoon Reloaded <spoon.reloaded@HIDDEN>
Date: Mon, 21 Oct 2019 14:38:56 -0700
Message-ID: <CABkj8=ah48jpZV5PsNoKyRNAmZ-GhiiktteN6yy8EVX+oPrd6Q@HIDDEN>
Subject: bug#37796: 26.3; Opening files in Mac OS Catalina
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000008c75f30595728362"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::12d
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 21 Oct 2019 21:22:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000008c75f30595728362
Content-Type: text/plain; charset="UTF-8"

I have the same problem. If the Emacs app is not open, and I drag a file
onto it, it opens. But if I drag a second file onto the Emacs app when it
is already open, nothing happens.

This happens on both version 26.3 (the latest release available from
emacsformacosx.com) as well as the latest nightly version, 2019-10-21, from
emacsformacosx.com.

I see the following line in Console when I try to open the second file:
LaunchedApplication: failed with error -13052 (null){
"ApplicationType"="Foreground",
"BundleIdentifierLowerCase"="org.gnu.emacs",
"CFBundleExecutablePath"="/Applications/Emacs.app/Contents/MacOS/Emacs",
"CFBundleExecutablePathDeviceID"=16777220,
"CFBundleExecutablePathINode"=39467615,
"CFBundleIdentifier"="org.gnu.Emacs", "CFBundleName"="Emacs",
"CFBundlePackageType"="APPL", "CFBundleSignature"="EMAx",
"LSASN"=ASN:0x0-0x4c24c2:, "LSBundlePath"="/Applications/Emacs.app",
"LSBundlePathDeviceID"=16777220, "LSBundlePathINode"=39467589,
"LSDisplayName"="Emacs", "LSExecutableFormat"="LSExecutable#!Format",
"LSLaunchDLabel"="org.gnu.Emacs.6084", "LSLaunchedByLaunchServices"=true,
"LSLaunchedWithLaunchD"=true, "LSLaunchEventRecordTime"=354943849105239,
"LSLaunchTime"=now-ish 2019/10/21 14:33:40, "LSParentASN"=ASN:0x0-0x25025:,
"LSWantsToComeForwardAtRegistrationTimeKey"=true, "pid"=47579 }

--0000000000008c75f30595728362
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div dir=3D"ltr"><div di=
r=3D"ltr">I have the same problem. If the Emacs app is not open, and I drag=
 a file onto it, it opens. But if I drag a second file onto the Emacs app w=
hen it is already open, nothing happens.<br><br>This happens on both versio=
n 26.3 (the latest release available from <a href=3D"http://emacsformacosx.=
com">emacsformacosx.com</a>) as well as the latest nightly version, 2019-10=
-21, from <a href=3D"http://emacsformacosx.com">emacsformacosx.com</a>.<br>=
<br></div><div>I see the following line in Console when I try to open the s=
econd file:<br>LaunchedApplication: failed with error -13052 (null){ &quot;=
ApplicationType&quot;=3D&quot;Foreground&quot;, &quot;BundleIdentifierLower=
Case&quot;=3D&quot;org.gnu.emacs&quot;, &quot;CFBundleExecutablePath&quot;=
=3D&quot;/Applications/Emacs.app/Contents/MacOS/Emacs&quot;, &quot;CFBundle=
ExecutablePathDeviceID&quot;=3D16777220, &quot;CFBundleExecutablePathINode&=
quot;=3D39467615, &quot;CFBundleIdentifier&quot;=3D&quot;org.gnu.Emacs&quot=
;, &quot;CFBundleName&quot;=3D&quot;Emacs&quot;, &quot;CFBundlePackageType&=
quot;=3D&quot;APPL&quot;, &quot;CFBundleSignature&quot;=3D&quot;EMAx&quot;,=
 &quot;LSASN&quot;=3DASN:0x0-0x4c24c2:, &quot;LSBundlePath&quot;=3D&quot;/A=
pplications/Emacs.app&quot;, &quot;LSBundlePathDeviceID&quot;=3D16777220, &=
quot;LSBundlePathINode&quot;=3D39467589, &quot;LSDisplayName&quot;=3D&quot;=
Emacs&quot;, &quot;LSExecutableFormat&quot;=3D&quot;LSExecutable#!Format&qu=
ot;, &quot;LSLaunchDLabel&quot;=3D&quot;org.gnu.Emacs.6084&quot;, &quot;LSL=
aunchedByLaunchServices&quot;=3Dtrue, &quot;LSLaunchedWithLaunchD&quot;=3Dt=
rue, &quot;LSLaunchEventRecordTime&quot;=3D354943849105239, &quot;LSLaunchT=
ime&quot;=3Dnow-ish 2019/10/21 14:33:40, &quot;LSParentASN&quot;=3DASN:0x0-=
0x25025:, &quot;LSWantsToComeForwardAtRegistrationTimeKey&quot;=3Dtrue, &qu=
ot;pid&quot;=3D47579 }<br></div></div></div></div></div>

--0000000000008c75f30595728362--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37796; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2019 17:15:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 13:15:06 2019
Received: from localhost ([127.0.0.1]:48876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL9Mf-0002Z3-V5
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 13:15:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:44645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephenmoye@HIDDEN>) id 1iL7Ik-0007Ir-RM
 for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 11:02:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53271)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <stephenmoye@HIDDEN>) id 1iL7Ij-0004N5-1C
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 11:02:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_MED,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stephenmoye@HIDDEN>) id 1iL7Ih-0006E8-FO
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 11:02:52 -0400
Received: from st43p00im-ztfb10061701.me.com ([17.58.63.172]:33125)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <stephenmoye@HIDDEN>) id 1iL7Ih-0006Bu-6j
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 11:02:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1571324565; bh=gZ5f6w+w/rkwc7eXsXDE4s4KJotM7ngCTnl+9Lw8VQ0=;
 h=From:Content-Type:Subject:Message-Id:Date:To;
 b=BYGzTj0T79HFb0x6trXZQBjauYUtIH9hs9or4SpHxoZcEL3B1uNlo/i0JYAavoUbo
 N7LgymOW/s7f1+p1fEkxkHg6lZTCyeRllP1KQozrUif8Iy6z4ds2UrmW20wnCvhSP3
 y+HuP5q3YcNhxnjhCmg+Mlx2vKPK2ZC0ZM1nawwdhca3pTWLdHlguZxr3/95nTkrQi
 227MsKIZPNlDUEMdDnm4AvdtX3v+4C5OGmwFkM4J/O59Iqh3Nd9my2yQnqPajSj9HO
 GG3A6AoSVIPVSoOKS2nCk9Tj4mm6OcmNy/OjUhThBQUZMdOj/8bfX/9YDH5Iz3YGwW
 TIQaKcO08reNA==
Received: from [192.168.1.154] (pool-71-117-173-2.prvdri.fios.verizon.net
 [71.117.173.2])
 by st43p00im-ztfb10061701.me.com (Postfix) with ESMTPSA id 584A5AC0CAA
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Oct 2019 15:02:45 +0000 (UTC)
From: Stephen Moye <stephenmoye@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 13.0 \(3594.4.19\))
Subject: 26.3; Opening files in Mac OS Catalina
Message-Id: <884F7705-8CAF-4C68-8BA3-D51BF99D3619@HIDDEN>
Date: Thu, 17 Oct 2019 11:02:44 -0400
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3594.4.19)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:, ,
 definitions=2019-10-17_05:, , signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=1
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-1906280000 definitions=main-1910170136
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 17.58.63.172
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 17 Oct 2019 13:15:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)



Setup: Mac OS Catalina (10.15); iMac Late 2015. All .tex files are
opened with Emacs.app (Get info>Open with: Emacs.app; using 'change =
all')

1. To begin, Emacs.app is not open
2. Double-click on a .tex file -> the file opens in Emacs.app
3. Double-click on another .tex file -> brief animation as if opening
file, but file does not open in Emacs.app.
4. Using Command-o (open) gives the same result, a brief animation as if
opening but file does not open
5. Using Command-tab to go back to Emacs.app opens a new instance of
Emacs.app (two icons in the Dock) with a default scratch buffer.

Using C-x C-f to open files functions normally.

Thank you.

Stephen Moye


In GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 =
Version 10.14.3 (Build 18D109))
of 2019-09-02 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1894
Recent messages:
Removing duplicates...done
Applying style hooks...done
Type =E2=80=98C-c C-l=E2=80=99 to display results of compilation.
LaTeX: successfully formatted {1} page
mwheel-scroll: Beginning of buffer [23 times]
Sorting environment...done
Removing duplicates...done
GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 =
Version 10.14.3 (Build 18D109)) of 2019-09-02
You can run the command =E2=80=98emacs-version=E2=80=99 with M-x em-v =
RET
GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 =
Version 10.14.3 (Build 18D109)) of 2019-09-02

Configured using:
'configure --with-ns '--enable-locallisppath=3D/Library/Application
Support/Emacs/${version}/site-lisp:/Library/Application
Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
  tabbar-mwheel-mode: t
  tabbar-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  shell-dirtrack-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  show-paren-mode: t
  electric-pair-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  delete-selection-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail jka-compr server tabbar
autoload radix-tree tar-mode pp lisp-mnt misearch multi-isearch
mm-archive message rfc822 mml mml-sec epa derived epg gnus-util rmail
rmail-loaddefs mailabbrev gmm-utils mailheader mm-decode mm-bodies
mm-encode mail-utils network-stream starttls url-http tls gnutls
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
nsm rmc puny url-cache url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap rect
windmove whitespace vcursor speedbar sb-image ezimage dframe ruler-mode
reveal repeat org-protocol org-element avl-tree generator org org-macro
org-footnote org-pcomplete org-list org-faces org-entities org-version
ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table ob-keys ob-exp
ob-comint ob-core ob-eval org-compat org-macs org-loaddefs format-spec
find-func cal-menu calendar cal-loaddefs linum imenu ido ibuffer
ibuffer-loaddefs hl-line hippie-exp follow filesets filecache ffap
emacs-lock dabbrev cua-base completion bs autorevert filenotify
autoinsert cus-edit dired dired-loaddefs preview prv-emacs tex-bar
toolbar-x noutline outline tex-buf font-latex latex easy-mmode
latex-flymake flymake-proc flymake warnings thingatpt tex-ispell
tex-style tex crm advice tex-mode compile shell pcomplete comint
ansi-color ring latexenc abyss-theme display-line-numbers cus-start
cus-load paren cl-extra yasnippet elec-pair help-mode delsel recentf
tree-widget wid-edit edmacro kmacro finder-inf info tex-site package
easymenu epg-config url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache url-vars seq byte-opt
gv bytecomp byte-compile cconv cl-loaddefs cl-lib time-date tooltip
eldoc electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
term/ns-win ns-win ucs-normalize mule-util term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 550565 133193)
(symbols 48 43227 2)
(miscs 40 1736 1539)
(strings 32 132909 11892)
(string-bytes 1 3531344)
(vectors 16 68675)
(vector-slots 8 1876795 236302)
(floats 8 170 628)
(intervals 56 4696 1162)
(buffers 992 21))




Acknowledgement sent to Stephen Moye <stephenmoye@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37796; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Oct 2019 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.